Author Topic: Is Virtuemart 3.2.4 Compatibility with Joomla 3.8.2?  (Read 265 times)

tomspayne75

  • Beginner
  • *
  • Posts: 1
  • A beginner
Is Virtuemart 3.2.4 Compatibility with Joomla 3.8.2?
« on: January 08, 2021, 15:34:33 pm »
Hello. I've been developing a e-commerce website using a Shape5 site shaper template (template setup with content) but it was based on the older 3.6.2 Joomla. I updated Joomla to 3.6.5 and I think I updated one of the Virtuemart plugins and it was fine.

Then I tried updating Joomla to 3.8.1 and it seems to have gotten rid of Virtuemart in my administration panels and menus which has taken away my ability to manage it. The plugins and component are still there however and it is still functioning on the front end of the website. I looked at the VM website which really lacks in info especially regards to anything past 3.7.x Joomla and their website lacks https certificates currently so I can't even download and reinstall VM. Anyone have experience running VM on 3.8.x Joomla. Problems?

Jörgen

  • Global Moderator
  • Sr. Member
  • *
  • Posts: 3232
    • Kreativ Fotografi
  • VirtueMart Version: 3.4.x
Re: Is Virtuemart 3.2.4 Compatibility with Joomla 3.8.2?
« Reply #1 on: January 08, 2021, 15:41:52 pm »
Are You for real ? Joomla 3.8 ?

Today is Joomla 3.9.23 current, why are you installning Joomla 3.8 ?

Jörgen
Joomla 3.9.18
Virtuemart 3.4.x
Olympiantheme Hera (customized)
This reflects current status when viewing old post.

jenkinhill

  • UK Web Developer & Consultant
  • Global Moderator
  • Super Hero
  • *
  • Posts: 28021
  • Always on vacation
    • Jenkin Hill Internet
Re: Is Virtuemart 3.2.4 Compatibility with Joomla 3.8.2?
« Reply #2 on: January 08, 2021, 17:11:23 pm »
VM3.2.4 dates from mid-2017 and was compatible with Joomla 3.7 from April 2017   Shape5 was taken over by JoomlArt in 2018 and it looks like their templates are no longer supported, and are unlikely to work with current Joomla & VM versions.

For your interest the VM versions are all available on http://dev.virtuemart.net/projects/virtuemart/files

All those old versions are known to be insecure and really should not be used for live shopping sites.  http://forum.virtuemart.net/index.php?topic=118683.0

We would not recommend using a quickstart Joomla/VM package unless for learning how to use the software. There is an "official" version of Joomla with VirtueMart etc already configured and with the VM version of the Beez template. The package can be downloaded here:
http://dev.virtuemart.net/attachments/download/1275/VirtueMart3.8.6_Joomla_3.9.22-Stable-Full_Package.zip
Kelvyn

Jenkin Hill Internet,
Lowestoft, Suffolk, UK

Unsolicited PMs/emails will be ignored.

Please mention your VirtueMart, Joomla and PHP versions when asking a question in this forum

Currently using VirtueMart 3.8.7 10374 on Joomla 3.9.24 PHP 7.4.12

GJC Web Design

  • 3rd party VirtueMart Developer
  • Super Hero
  • *
  • Posts: 10029
  • Virtuemart, Joomla & php developer
    • GJC Web Design
  • VirtueMart Version: 3.6.8
Re: Is Virtuemart 3.2.4 Compatibility with Joomla 3.8.2?
« Reply #3 on: January 08, 2021, 17:53:51 pm »
you can normally get your VM admin menus back by re-installing VM .. no settings will be lost

the https isn't forced .. if u manually type  https://forum.virtuemart.net/ the cert is there
GJC Web Design
VirtueMart and Joomla Developers - php developers http://www.gjcwebdesign.com
VM3 AusPost Shipping Plugin - e-go Shipping Plugin - VM3 Postcode Shipping Plugin - Radius Shipping Plugin - VM3 NZ Post Shipping Plugin - AusPost Estimator
Samport Payment Plugin - EcomMerchant Payment Plugin - ccBill payment Plugin
VM2 Product Lock Extension - VM2 Preconfig Adresses Extension - TaxCloud USA Taxes Plugin - Virtuemart  Product Review Component
http://extensions.joomla.org/profile/profile/details/67210
Contact for any VirtueMart or Joomla development & customisation